mb/google/brask/variants/moli: disable ASPM on pcie_rp 6
[coreboot.git] / util / kconfig / gconf-cfg.sh
blob480ecd8b9f415693c0747478b2021b5e972a42bb
1 #!/bin/sh
2 # SPDX-License-Identifier: GPL-2.0
4 PKG="gtk+-2.0 gmodule-2.0 libglade-2.0"
6 if [ -z "$(command -v pkg-config)" ]; then
7 echo >&2 "*"
8 echo >&2 "* 'make gconfig' requires 'pkg-config'. Please install it."
9 echo >&2 "*"
10 exit 1
13 if ! pkg-config --exists $PKG; then
14 echo >&2 "*"
15 echo >&2 "* Unable to find the GTK+ installation. Please make sure that"
16 echo >&2 "* the GTK+ 2.0 development package is correctly installed."
17 echo >&2 "* You need $PKG"
18 echo >&2 "*"
19 exit 1
22 if ! pkg-config --atleast-version=2.0.0 gtk+-2.0; then
23 echo >&2 "*"
24 echo >&2 "* GTK+ is present but version >= 2.0.0 is required."
25 echo >&2 "*"
26 exit 1
29 echo cflags=\"$(pkg-config --cflags $PKG)\"
30 echo libs=\"$(pkg-config --libs $PKG)\"